package org.project.entity.enemies;

import java.util.Random;

import org.project.entity.Entity;
import org.project.entity.players.Player;
import org.project.item.weapons.Weapon;

public class Dragon extends Enemy{

    private static int hp = 100;

    public Dragon() {
        super(hp, null, 0, 0);
    }

    //attacks the player while dealing random damages
    @Override
    public void attack(Entity target) {
        int[] Damage = {20, 23, 26, 29};
        Random rand = new Random();
        int randNum = rand.nextInt(Damage.length);
        setDragonDamage(Damage[randNum]);
        //checks if the player has stunned them
        if (!isStunned()) {
            target.takeDamage(getDragonDamage());
        }
    }


}
